Documentation Index
Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
Use this file to discover all available pages before exploring further.
Giftcards offer extension features to end users, including gating and scan tracking - for more info visit https://help.thanks.io/gift-card-settings/gating
Query the available giftcard brands and amounts
See giftcard brands for more info.curl -X GET "https://api.thanks.io/api/v2/giftcard-brands" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY"
Select Giftcard Brand and Amount
After querying the available giftcard brands and amounts, select the desired brand and amount for your giftcard.
Send Giftcard
Send a giftcard to a recipient via the API.See send-giftcard for more info.curl -X POST "https://api.thanks.io/api/v2/send/giftcard" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"giftcard_brand": "GIFT_CARD_BRAND_ID_FROM_PREVIOUS_STEP",
"giftcard_amount_in_cents": "GIFT_CARD_AMOUNT_IN_CENTS_FROM_PREVIOUS_STEP",
"front_image_url": "https://d2md0c8rpvzmz5.cloudfront.net/notecard-inspirations/note1.png",
"message": "Hey %FIRST_NAME%!,\n\nTHANK YOU for allowing us the opportunity to HELP you with your plan!",
"recipients": [
{
"name": "Jane Doe",
"address": "456 Another St",
"city": "Fake City",
"province": "NY",
"postal_code": "55555",
"country": "US"
}
]
}'